Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class JMSVendorAdapterFactory

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapterFactory

public class JMSVendorAdapterFactory
extends java.lang.Object

Discovery class used to locate vendor adapters. Switch the default JNDI-based implementation by using the org.apache.axis.components.jms.JMSVendorAdapter system property

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Constructor Summary
`JMSVendorAdapterFactory()`

Method Summary
`static JMSVendorAdapter` | `getJMSVendorAdapter()`
`static JMSVendorAdapter` | `getJMSVendorAdapter(java.lang.String vendorId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSVendorAdapterFactory

    public JMSVendorAdapterFactory()

Method Detail

### getJMSVendorAdapter

    public static final JMSVendorAdapter getJMSVendorAdapter()

### getJMSVendorAdapter

    public static final JMSVendorAdapter getJMSVendorAdapter(java.lang.String vendorId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.